用户

获取订阅

GET /v1/users/{screen_name}/subscriptions reads 2 额度

账号订阅的创作者,以用户引用返回。

查询参数

查询参数类型含义
countint 1–100 = 20请求的页大小;X 仅作参考
cursorstring来自上一页的 next_cursor

响应

该账号、一页用户引用,以及一个游标(到底时为 null)。隐藏了订阅的账号返回空页。 逐字段说明: 用户引用.

状态: 200, 400, 404, 429, 502

请求
curl https://api.xsignalfeed.com/v1/users/cb_doge/subscriptions?count=20 \
  -H "Authorization: Bearer xsf_your_key"
响应 · 200 / 400
{
  "user": {
    "id": "1389913567671975937",
    "screen_name": "cb_doge"
  },
  "users": [
    {
      "id": "44196397",
      "screen_name": "elonmusk",
      "name": "Elon Musk"
    },
    {
      "id": "…",
      "screen_name": "…",
      "name": "…"
    }
  ],
  "next_cursor": null
}